Debian Bug report logs - #68542
lynx: Text entry field on http://lists.debian.org/ is hidden when "form fields are numbered"

version graph

Package: lynx; Maintainer for lynx is Atsuhito KOHDA <kohda@debian.org>; Source for lynx is src:lynx-cur.

Reported by: <admin@ferret.phonewave.net>

Date: Fri, 4 Aug 2000 18:48:40 UTC

Severity: normal

Found in version 2.8.1-3

Fixed in version lynx/2.8.4-1

Done: Adrian Bunk <bunk@fs.tum.de>

Bug is archived. No further changes may be made.

Forwarded to lynx-dev@sig.net, 68542-forwarded@bugs.debian.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christian Hudon <chrish@debian.org>:
Bug#68542; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to <admin@ferret.phonewave.net>:
New Bug report received and forwarded. Copy sent to Christian Hudon <chrish@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: <admin@ferret.phonewave.net>
To: submit@bugs.debian.org
Subject: lynx: Text entry field on http://lists.debian.org/ is hidden when "form fields are numbered"
Date: Fri, 04 Aug 2000 09:41:47 -0700
Package: lynx
Version: 2.8.1-3
Severity: normal

It looks like it might be a lynx rendering bug, but I don't know the
renderer or HTML well enough to know for sure. i seem to only see it
happen on http://lists.debian.org/ on the "search with Glimpse" section
at the bottom of the page. The text entry box renders fine when "form
fields are numbered" is disabled and only "links are numbered" is
enabled.

I do not know of any other sites where this is a problem, so it may be
a bug at www.debian.org instead.

-- System Information
Debian Release: 2.2
Kernel Version: Linux tarot 2.2.17-usb #1 Wed Jul 19 00:12:45 PDT 2000 i586 unknown

Versions of the packages lynx depends on:
ii  libc6               2.1.3-10            GNU C Library: Shared libraries and Timezone data
ii  slang1              1.3.9-1             The S-Lang programming library - runtime version.
ii  zlib1g              1.1.3-5             compression library - runtime

--- Begin /etc/lynx.cfg (modified conffile)
#
#
#
#
#
#
#
#
#
#
#
#
STARTFILE:http://www.mentasm.org/
#
HELPFILE:file://localhost/usr/doc/lynx/lynx_help/lynx_help_main.html
#
DEFAULT_INDEX_FILE:http://www.ncsa.uiuc.edu/SDG/Software/Mosaic/MetaIndex.html
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
LOCAL_EXECUTION_LINKS_ALWAYS_ON:FALSE
LOCAL_EXECUTION_LINKS_ON_BUT_NOT_REMOTE:FALSE
#
#
#
#
#
#
TRUSTED_EXEC:none
#
#
#
ALWAYS_TRUSTED_EXEC:none
#
#
TRUSTED_LYNXCGI:none
#
#
#
#
#
#
#
#
#
#
#
#
USE_MOUSE:TRUE
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
PRINTER:The DEC printer:lpr %s:TRUE
#
#
#
#
#
#
#
NO_DOT_FILES:FALSE
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
MINIMAL_COMMENTS:TRUE
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
GLOBAL_EXTENSION_MAP:/etc/mime.types
#
PERSONAL_EXTENSION_MAP:.mime.types
#
XLOADIMAGE_COMMAND:
#
#
#
#
#
#
#
GLOBAL_MAILCAP:/etc/mailcap
#
PERSONAL_MAILCAP:.mailcap
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
COLOR:0:lightgray:black
COLOR:1:blue:black
COLOR:2:yellow:blue
COLOR:3:green:black
COLOR:4:magenta:black
COLOR:5:blue:black
COLOR:6:red:black
COLOR:7:magenta:cyan
#
#
#
#
#
#
#
#
#
#

--- End /etc/lynx.cfg



Message sent on to <admin@ferret.phonewave.net>:
Bug#68542. Full text and rfc822 format available.

Message #8 received at 68542-submitter@bugs.debian.org (full text, mbox):

From: "H. Nanosecond" <aldomel@ix.netcom.com>
To: 68542-submitter@bugs.debian.org
Subject: Re: lynx: Text entry field on http://lists.debian.org/ is hidden when "form fields are numbered"
Date: Sat, 5 Aug 2000 18:16:01 -0400 (EDT)
Hello,

These are two good online validators:
http://www.htmlhelp.com/tools/validator/
http://validator.w3.org/

The page http://lists.debian.org/ is invalid HTML, but
I don't see anything in particular. You will need to send 
a version of the page rendered by lynx. Go to that page
and press 'P' to save to a file. Do it for the 
correct version and incorrect one. Edit the files and send
the relevant parts so we know what to look for.

Thanks.

> It looks like it might be a lynx rendering bug, but I don't know the
> renderer or HTML well enough to know for sure. i seem to only see it
> happen on http://lists.debian.org/ on the "search with Glimpse" section
> at the bottom of the page. The text entry box renders fine when "form
> fields are numbered" is disabled and only "links are numbered" is
> enabled.




Acknowledgement sent to <admin@ferret.phonewave.net>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #11 received at 68542-quiet@bugs.debian.org (full text, mbox):

From: <admin@ferret.phonewave.net>
To: "H. Nanosecond" <aldomel@ix.netcom.com>, 68542-quiet@bugs.debian.org
Subject: Re: Bug#68542: lynx: Text entry field on http://lists.debian.org/ is hidden when "form fields are numbered"
Date: Sat, 5 Aug 2000 20:03:36 -0700
[Message part 1 (text/plain, inline)]
Okay. The "bad" render is using keypad mode 3, and the "good"
render is using keypad mode 2. The problem is on the line
starting with "Search with [1771]Glimpse Search", and the form
field is link #1772.


On Sat, Aug 05, 2000 at 06:16:01PM -0400, H. Nanosecond wrote:
> Hello,
> 
> These are two good online validators:
> http://www.htmlhelp.com/tools/validator/
> http://validator.w3.org/
> 
> The page http://lists.debian.org/ is invalid HTML, but
> I don't see anything in particular. You will need to send 
> a version of the page rendered by lynx. Go to that page
> and press 'P' to save to a file. Do it for the 
> correct version and incorrect one. Edit the files and send
> the relevant parts so we know what to look for.
> 
> Thanks.
> 
> > It looks like it might be a lynx rendering bug, but I don't know the
> > renderer or HTML well enough to know for sure. i seem to only see it
> > happen on http://lists.debian.org/ on the "search with Glimpse" section
> > at the bottom of the page. The text entry box renders fine when "form
> > fields are numbered" is disabled and only "links are numbered" is
> > enabled.
> 
> 
[lists.debian.org-bad.gz (application/octet-stream, attachment)]
[lists.debian.org-good.gz (application/octet-stream, attachment)]

Reply sent to "H. Nanosecond" <aldomel@ix.netcom.com>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #14 received at 68542-forwarded@bugs.debian.org (full text, mbox):

From: "H. Nanosecond" <aldomel@ix.netcom.com>
To: lynx-dev@sig.net, 68542-forwarded@bugs.debian.org
Subject: fwd: Text entry field on http://lists.debian.org/ is hidden when "form fields are numbered"
Date: Tue, 8 Aug 2000 19:14:48 -0400 (EDT)
Dear Lynx developers,

Here is a bug from the Debian Bugs system,
see http://www.debian.org/Bugs/db/68/68542.html

He says that the page renders wrong when forms and links are numbered.
The page is invalid HTML, by the way.

This script creates a page with the same format mentioned in the 
original report. Try 55 as the argument.

#!/bin/bash

rm test-68542.html

for i in $( seq "$1" ); do

cat >>test-68542.html  <<EOF
<li>x<ul>
<li>1997
[<a href="http://x">Jan Z</a>]
[<a href="http://x">Feb Z</a>]
[<a href="http://x">Mar Z</a>]
[<a href="http://x">Apr Z</a>]
[<a href="http://x">May Z</a>]
[<a href="http://x">Jun Z</a>]
[<a href="http://x">Jul Z</a>]
[<a href="http://x">Aug Z</a>]
[<a href="http://x">Sep Z</a>]
[<a href="http://x">Oct Z</a>]
[<a href="http://x">Nov Z</a>]
[<a href="http://x">Dec Z</a>]
</li>
</ul></li>

EOF

done


cat >>test-68542.html  <<EOF

</ul>
<hr>

<h2><a name="search">Search</a> with <a href="http://glimpse.cs.arizona.edu/">Glimpse</a></h2>
<form method=post action="http://cgi.debian.org/cgi-bin/searchlists">
Search for?
<input name="query" value="" size="40">
<input type=submit value="Search">
<input type=reset value="Reset"><br>
Words separated by a space are searched for together.  Separating them
with a comma will find files containing either one.  Separating them
with a semicolon will find files containing both.  More complex <a
href="glimpse.html#sect7">patterns</a> are possible.
</form>

EOF


---------------------------------------------------------

From:  <admin@ferret.phonewave.net>
Subject: lynx: Text entry field on http://lists.debian.org/ is hidden when "for
m fields are numbered"
To: submit@bugs.debian.org
X-Mailer: bug 3.2.10
Message-Id: <E13KkXb-0003Me-00@tarot.mentasm.org>
Date: Fri, 04 Aug 2000 09:41:47 -0700
Delivered-To: submit@bugs.debian.org

Package: lynx   
Version: 2.8.1-3
Severity: normal

It looks like it might be a lynx rendering bug, but I don't know the
renderer or HTML well enough to know for sure. i seem to only see it
happen on http://lists.debian.org/ on the "search with Glimpse" section
at the bottom of the page. The text entry box renders fine when "form
fields are numbered" is disabled and only "links are numbered" is
enabled.

I do not know of any other sites where this is a problem, so it may be
a bug at www.debian.org instead.   




Information forwarded to debian-bugs-dist@lists.debian.org, Christian Hudon <chrish@debian.org>:
Bug#68542; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@cibalia.gkvk.hr>:
Extra info received and forwarded to list. Copy sent to Christian Hudon <chrish@debian.org>. Full text and rfc822 format available.

Message #19 received at 68542@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@cibalia.gkvk.hr>
To: 68542@bugs.debian.org
Subject: Fixed upstream
Date: Fri, 29 Dec 2000 19:16:11 +0100
Hi,

From 2.8.4dev.8 changelog:

* use new function AnchorsOnThisLine() to obtain count of anchors on the
  current line for correct computation of length required to fix Debian #68542:
  Text entry field on http://lists.debian.org/ is hidden when "form fields are
  numbered" (reported by H.Nanosecond) -TD

-- 
Digital Electronic Being Intended for Assassination and Nullification



Message #20 received at 68542-forwarded@bugs.debian.org (full text, mbox):

From: eb7sQQ222@mail.com
Date: 26 Apr 02 5:46:41 PM
[Message part 1 (text/html, inline)]

Message #21 received at 68542-forwarded@bugs.debian.org (full text, mbox):

From: dfgh5rtiu@yahoo.com
Subject: 95% of Internet companies are losing money.
Date: 17 Jun 01 1:59:22 PM
               

We will put your product or service instantly into the hands of millions of prospects!
===============================================================
"Many business people are finding out that they can now advertise in ways that they 
never could have afforded in the past.  The cost of sending mass e-mail is extremely low, 
and the response rate is high and quick." - USA TODAY
===============================================================

Since 1996, Bulk Email Network has provided bulk email marketing to thousands of 
well-satisfied customers. We offer the most competitive prices in the industry, made 
possible by our high percentage of repeat business. We have the most advanced direct 
email technology employed by only a knowledgeable few in the world. 

We have over 160 million active email addresses, increasing our list at the rate of half a 
million to one million a month. You will have instant guaranteed results, something no 
other form of marketing can claim. Our turn around time is a remarkable 24 hours.

Our email addresses are sorted by country, state, city and target. Your marketing 
campaign will speed with pinpoint accuracy to your desired audience!

Call us for a free consultation at 323 876 6148  [U.S.A.]. 

We guarantee the lowest prices or your service is free!

Best of ALL, Bulk Email Network can be used as a 100% TAX WRITE OFF for your 
Business!


 1) Let's say you... Sell a $24.95 PRODUCT or SERVICE.
 2) Let's say you... Mass Email to 1,000,000 PEOPLE DAILY.
 3) Let's say you... Receive JUST 1 ORDER for EVERY 2,500 EMAILS.

 CALCULATION OF YOUR EARNINGS BASED ON THE ABOVE STATISTICS:
 [Day 1]: $9,980  [Week 1]: $69,860  [Month 1]: $279,440

Now you know why you receive so many email advertisements...
 



Best Regards,

Sam Al
Bulk Email Network
C.E.O








Under Bill s.1618 TITLE III passed by the 105th U.S. Congress this letter is not 
considered "spam" as long as we include: 1) contact information and, 2) the way to be 
removed from future mailings (see below). To Remove Yourself From This List: Please 
email to jk72jk72@yahoo.com with the email address that you would like removed and 
the word REMOVE in the subject heading.





Reply sent to Adrian Bunk <bunk@fs.tum.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to <admin@ferret.phonewave.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 68542-close@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@fs.tum.de>
To: 68542-close@bugs.debian.org
Subject: Bug#68542: fixed in lynx 2.8.4-1
Date: Sun, 19 Aug 2001 14:59:31 -0400
We believe that the bug you reported is fixed in the latest version of
lynx, which has been installed in the Debian FTP archive:

lynx_2.8.4-1.dsc
  to pool/main/l/lynx/lynx_2.8.4-1.dsc
lynx_2.8.4-1_i386.deb
  to pool/main/l/lynx/lynx_2.8.4-1_i386.deb
lynx_2.8.4-1.diff.gz
  to pool/main/l/lynx/lynx_2.8.4-1.diff.gz
lynx_2.8.4.orig.tar.gz
  to pool/main/l/lynx/lynx_2.8.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 68542@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adrian Bunk <bunk@fs.tum.de> (supplier of updated lynx package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 18 Aug 2001 16:22:26 +0200
Source: lynx
Binary: lynx
Architecture: source i386
Version: 2.8.4-1
Distribution: unstable
Urgency: high
Maintainer: Adrian Bunk <bunk@fs.tum.de>
Changed-By: Adrian Bunk <bunk@fs.tum.de>
Description: 
 lynx       - Text-mode WWW Browser
Closes: 21096 25968 40482 42859 45803 56639 63638 63641 65151 68542 80496 83249 83784 94604 105559
Changes: 
 lynx (2.8.4-1) unstable; urgency=high
 .
   * New maintainer.
   * New upstream release. (closes: #80496)
     This release fixes the following bugs:
     - %s, %t, %{charset} and %{encoding} substitutions for
       mailcap commands are now implemented. (closes: #21096)
     - The "<> in javascript causes premature </script>" problem
       is fixed. (closes: #65151)
     - A problem with the length of form fields is fixed.
       (closes: #68542)
     - The Japanese message catalog is now included.
       (closes: #63641)
     - The CPU-loop seems to be fixed. (closes: #25968)
   * /etc/lynx.cfg is now a conffile. (closes: #40482)
   * The default startfile is now the local helpfile (and there's
     no longer a question in the postinst).
     (closes: #105559, #83249, #83784)
   * Disable USE_MOUSE in the default configuration.
     (closes: #42859)
   * Set GLOBAL_EXTENSION_MAP and PERSONAL_EXTENSION_MAP in the
     default lynx.cfg. (closes: #94604)
   * Compiled with ncurses instead of slang.
   * Compiled with "--enable-warnings".
   * Compiled with "--enable-color-style".
   * Compiled with "--enable-default-colors". (closes: #45803)
   * Compiled with "--enable-file-upload". (closes: #56639)
   * Compiled with "--enable-ipv6".
   * Compiled with "--enable-justify-elts".
   * Compiled with "--enable-nested-tables".
   * Compiled with "--enable-read-eta".
   * Updated debian/copyright. (closes: #63638)
Files: 
 c3c28620d73877b3df1200f13a4ea1a3 607 web standard lynx_2.8.4-1.dsc
 90aa83a34ea7cb912386604e1ca73aa0 2556501 web standard lynx_2.8.4.orig.tar.gz
 daad12f30dd95c29c4deec45e851dcef 10777 web standard lynx_2.8.4-1.diff.gz
 833acf3c33c1cf99677f67cbae2966f7 1447276 web standard lynx_2.8.4-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE7f+ulmfzqmE8StAARAgxaAJ4gMb+0/CAYkWzw5fEmuqe4Fu734wCfc4tG
A3dZ2Y1yC0N0vGvNBRO8YsE=
=c01O
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:06:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.